local DefaultString = "{enemymult=2}"

local MultiplierStored = 1
local ModifierStored = 0

local SendData =
  function(Multiplier)
    MultiplierStored = Multiplier
    local CurrentString = prj_strCustomOccasion
    local OldMult = string.match(CurrentString, "{enemymult=.-}")
    if not (OldMult == nil) then
      CurrentString = string.gsub(CurrentString,OldMult,"")
    end
    local String = "{enemymult="..Multiplier..","..ModifierStored.."}"
    prj_strCustomOccasion = CurrentString..String
    strSaveText("Content/Config/EnemyMultiplier.txt",String)
  end
  
local String = strLoadText_unsigned("Content/Config/EnemyMultiplier.txt")
local Mult = string.gsub(String, "{enemymult=(%d+),%d+}", "%1")
local Mod = string.gsub(String, "{enemymult=%d+,(%d+)}", "%1")
Mult = tonumber(Mult)
Mod = tonumber(Mod)
if (Mult == nil) then
  Mult = 2
  String = DefaultString
  strSaveText("Content/Config/EnemyMultiplier.txt",String)
  print("Saved Multiplier could not be read; Reverting to default")
else
  if Mult > 10 then
    Mult = 10
    String = "{enemymult=10}"
    strSaveText("Content/Config/EnemyMultiplier.txt",String)
  elseif Mult < 1 then
    Mult = 1
    String = "{enemymult=1}"
    strSaveText("Content/Config/EnemyMultiplier.txt",String)
  end
end
MultiplierStored = Mult
ModifierStored = Mod
prj_strCustomOccasion = prj_strCustomOccasion..String

globals.EnemyMultiplier = 
  function(Value,Value2)
    if not (Value == nil) then
      local Multiplier = tonumber(Value)
      if not (Multiplier == nil) then
      
        local Modifier = tonumber(Value2)
        if not (Modifier == nil) then
          if Modifier == 1 then
            ModifierStored = 1
          else
            ModifierStored = 0
          end
        end
        local AddText = ""
        if ModifierStored == 1 then
          AddText = " [Large enemies reduced]"
        end
      
        Multiplier = mthCeilF(Multiplier)
        if Multiplier >= 10 then
          Multiplier = 10
          print("Enemy multiplier set to x"..Multiplier.."! (Maximum)"..AddText)
        elseif Multiplier <= 1 then
          Multiplier = 1
          print("Enemy multiplier disabled")
        else
          print("Enemy multiplier set to x"..Multiplier.."!"..AddText)
        end
        SendData(Multiplier)
      else
        print("The entered value must be a number")
      end
    else
      print("Please enter a value between the brackets")
    end
  end
  
  RunAsync( function() 
    Wait(Delay(1))
    if MultiplierStored > 1 then
      if ModifierStored == 1 then
        print("Enemy multiplier currently set to x"..MultiplierStored.." [Large enemies reduced]")
      else
        print("Enemy multiplier currently set to x"..MultiplierStored)
      end
    else
      print("Enemy multiplier currently disabled")
    end
  end )